1. Verifications
  • Test
    • Landing
  • Endpoints
    • Verifications
      • Create a verification
        POST
      • Get a verification
        GET
      • Delete a verification
        DELETE
      • Resend a verification
        PUT
      • Reset a verification
        PUT
      • Approve a verification check result
        PATCH
      • Approve Quick IDV result (deprecated)
        PUT
      • Approve PEP result (deprecated)
        PUT
      • Create and run a verification
        POST
      • Create and run a company verification
        POST
      • Approve FaceMatch result (deprecated)
        PUT
    • Outsourced Verifications
      • Create an outsourced verification
      • Get an outsourced verification
      • Delete an outsourced verification
    • Risk Assessment
      • Create a risk rating
      • Get risk rating details
    • E-sign Templates
      • List e-sign templates
      • Fetch an e-sign template
    • E-sign Documents
      • List e-sign documents
      • Create an e-sign draft document
      • Fetch an e-sign document
      • Update an e-sign draft document
      • Delete an e-sign document
      • Duplicate an e-sign document
      • Create an e-sign iframe builder session
      • Send an e-sign document
      • Resend an e-sign document
      • Reinitiate an e-sign document
      • Void an e-sign document
    • Form Submissions
      • Create a form submission
      • Fetch a form submission
      • Delete a form submission
      • Resend a form submission
  • Schemas
    • VerificationRequest
    • VerificationCompanyRequest
    • VerificationSimple
    • Verification
    • VerificationCompany
    • OutsourcedVerificationRequest
    • OutsourcedVerificationSimple
    • OutsourcedVerification
    • OutsourcedVerificationType
    • OutsourcedVerificationStatus
    • OutsourcedVerificationResult
    • OutsourcedVerificationIndividual
    • VerificationType
    • VerificationResultSource
    • Result
    • PepResult
    • PepType
    • PepHit
    • DocumentOCRData
    • FaceMatchVoiResult
    • NationalIdTypes
    • BadRequest
    • Metadata
    • PersonName
    • PersonBirthDate
    • ContactMethods
    • AddressFields
    • GeoCoordinates
    • NationalIdBundle
    • VerificationAlgorithmSelection
    • VerificationIdentityResponse
    • VerificationCoreResponse
    • VerificationAddressResponse
    • VerificationNationalIdsResponse
    • VerificationMetadataResponse
    • OtherCountries
    • OutsourcedContactMethods
    • OutsourcedOrgTracking
    • OutsourcedCore
    • CompanyContactMethods
    • CompanyCore
    • CompanyTracking
    • VerificationResendRequest
    • RiskLevel
    • RiskAnswer
    • RiskSection
    • RiskQuestion
    • RiskRatingAnswer
    • RiskRating
    • RiskRatingCreateRequest
    • FormSubmissionCreateRequest
    • FormSubmission
    • FormSubmissionUser
    • FormSubmissionForm
    • FormSubmissionVerification
    • FormSubmissionValue
    • ESignTwoFactorMethod
    • ESignEnvelopeStatus
    • ESignRecipientStatus
    • ESignFieldType
    • ESignFieldDefaultValueMode
    • ESignTemplateRecipientRole
    • ESignTemplate
    • ESignDocumentRecipientOverride
    • ESignDocumentCreateRequest
    • ESignRecipientCreateRequest
    • ESignRecipientUpdateRequest
    • ESignDocumentFile
    • ESignField
    • ESignFieldGroup
    • ESignRecipient
    • ESignActionRequiredRecipient
    • ESignActionRequired
    • ESignDocument
    • ESignFieldResponse
    • ESignCompletionCertificate
    • ESignDocumentDetail
    • ESignSendDocumentResponse
    • ESignReinitiateDocumentResponse
    • ESignDocumentUpdateRequest
    • ESignDocumentDuplicateRequest
    • ESignDocumentPage
    • ESignIframeSessionCreateRequest
    • ESignIframeSessionResponse
    • ESignResendDocumentRequest
    • ESignResendDocumentResponse
    • ESignVoidDocumentRequest
    • ESignVoidDocumentResponse
  1. Verifications

Create and run a company verification

POST
/run_company_verifications/
Create a new company verification, run it immediately, and return the full result.

Request

Authorization
API Key
Add parameter in header
Authorization
Example:
Authorization: ********************
or
Body Params application/json

Examples

Responses

🟢201
application/json
Ran verification result
Bodyapplication/json

🟠400
🟠403Forbidden
🔴500UnknownError
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/run_company_verifications/' \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
    "company_name": "string",
    "company_number": "string",
    "country_code": "string",
    "pep_type": "RESIDENTIAL",
    "consent": true
}'
Response Response Example
201 - Example 1
{
    "signature_key": "string",
    "url": "http://example.com",
    "type": "quick_id",
    "email": "user@example.com",
    "phone": "+6412312312",
    "org_name": "string",
    "metadata": {
        "property1": "string",
        "property2": "string"
    },
    "notes": "string",
    "reference": "string",
    "company_name": "string",
    "company_number": "string",
    "country": "string",
    "pep_type": "RESIDENTIAL",
    "unique_ip_addresses": [
        "string"
    ],
    "completed_at": "2019-08-24T14:15:22.123Z",
    "consented_at": "2019-08-24T14:15:22.123Z",
    "created_at": "2019-08-24T14:15:22.123Z",
    "report_pdf_url_TEMP": "string",
    "result": "PASS",
    "is_cancelled": true,
    "is_completed": true,
    "pep_overall_result": "NO_MATCH",
    "pep_user_overrode_result": true,
    "pep_notes": "string",
    "pep_hits": [
        {
            "name": "string",
            "title": "string",
            "country": "string",
            "risk_types": "string",
            "birth_date": "string",
            "matched_fields": "string",
            "match_percentage": "string",
            "deceased": "string",
            "links": [
                "string"
            ],
            "pdf_links": [
                "string"
            ],
            "images": [
                "string"
            ],
            "roles": [
                "string"
            ],
            "nationalities": [
                "string"
            ],
            "locations": [
                "string"
            ],
            "official_lists": [
                "string"
            ],
            "disqualified_directors": [
                "string"
            ],
            "profile_of_interests": [
                "string"
            ]
        }
    ]
}
Previous
Create and run a verification
Next
Approve FaceMatch result (deprecated)
Built with